Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226159 - Merge Review: mozplugger
Summary: Merge Review: mozplugger
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:43 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-25 09:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-25 09:32:56 UTC
susi.lehtola: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:43:19 UTC
Fedora Merge Review: mozplugger

http://cvs.fedora.redhat.com/viewcvs/devel/mozplugger/
Initial Owner: than@redhat.com

Comment 1 Peter Leese 2007-12-08 17:25:05 UTC
Does this still need a new owner, if so can I take it on and if so how do I go
about getting sponsored, etc(In reply to comment #0)


Comment 2 Susi Lehtola 2009-03-28 17:41:44 UTC
Taking review.

Comment 3 Susi Lehtola 2009-03-28 17:57:44 UTC
rpmlint output:
mozplugger.src:14: E: buildprereq-use libX11-devel
mozplugger.src:15: E: buildprereq-use libXt-devel
mozplugger.src:18: W: unversioned-explicit-obsoletes plugger
mozplugger.x86_64: W: file-not-utf8 /usr/share/doc/mozplugger-1.10.1/README
mozplugger.x86_64: W: obsolete-not-provided plugger
mozplugger.x86_64: W: conffile-without-noreplace-flag /etc/mozpluggerrc
mozplugger-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/mozplugger-1.10.1/npapi/include/npupp.h
mozplugger-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/mozplugger-1.10.1/npapi/include/npapi.h
mozplugger-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/mozplugger-1.10.1/npapi/include/jri_md.h
mozplugger-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/mozplugger-1.10.1/npapi/include/jritypes.h
mozplugger-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/mozplugger-1.10.1/npapi/include/jri.h
mozplugger-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/mozplugger-1.10.1/npapi/common/npunix.c
3 packages and 0 specfiles checked; 2 errors, 10 warnings.

- Fix the above (to fix debuginfo errors you need to remove executable perms of the source code files in the setup phase)

- Consider updating buildroot to
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

- Source URL is incorrect, also version is quite old (newest is 1.12.0, released in November).
http://mozplugger.mozdev.org/files/mozplugger-1.12.0.tar.gz

MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. NEEDSFIX
 - Matches upstream source but source url incorrect as stated above.
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK

MUST: A package must own all directories that it creates or require the package that owns the directory. NEEDSFIX
 - %{_libdir}/mozilla is provided by mozilla-filesystem on F10; this package probably shouldn't provide the dir, just the plugin file instead.

MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

Comment 4 Susi Lehtola 2009-04-24 20:44:16 UTC
Ping.

Comment 5 Susi Lehtola 2009-06-14 16:52:33 UTC
ping than

Comment 6 Susi Lehtola 2009-08-05 11:25:42 UTC
ping again?

Comment 7 Ngo Than 2009-08-21 09:27:29 UTC
>rpmlint output:
>mozplugger.src:14: E: buildprereq-use libX11-devel
>mozplugger.src:15: E: buildprereq-use libXt-devel
What is problem here? Both BuildRequires are required!

the rest is fixed in 1.12.1-6. Sorry for delayed respond

Comment 8 Susi Lehtola 2009-08-21 10:01:38 UTC
BuildPreReqs are not used, use BuildRequires instead. But I see you had already changed that in the past 5 months, so that's OK.

**

The patches don't have comments, please add them.

**

The Obsoletes: plugger can probably be removed, since this package is 6 years old and we only support upgrades from F(N-1) -> F(N). That takes care of

mozplugger.src:18: W: unversioned-explicit-obsoletes plugger
mozplugger.x86_64: W: obsolete-not-provided plugger

**

Did you fix the permissions on the header files as well? I suggest simply using
 find . \( -name *.h -o -name *.c \) -exec chmod 644 {} \;
to get them all fixed.

Comment 9 Ngo Than 2009-08-21 10:18:45 UTC
>The patches don't have comments, please add them.
it's fixed in mozplugger-1_12_1-7_fc12

>The Obsoletes: plugger can probably be removed, since this package is 6 years
>old and we only support upgrades from F(N-1) -> F(N). That takes care of
it's fixed in mozplugger-1_12_1-7_fc12

>Did you fix the permissions on the header files as well? I suggest simply >using find . \( -name *.h -o -name *.c \) -exec chmod 644 {} \;
>to get them all fixed. 

it's fixed in mozplugger-1_12_1-7_fc12

Comment 10 Susi Lehtola 2009-08-21 11:05:38 UTC
I still get
mozplugger.x86_64: W: conffile-without-noreplace-flag /etc/mozpluggerrc
mozplugger.x86_64: W: file-not-utf8 /usr/share/doc/mozplugger-1.12.1/README
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fix at least the latter warning. Otherwise, this package has been

APPROVED

Comment 11 Ngo Than 2009-08-21 11:27:48 UTC
>I still get
>mozplugger.x86_64: W: conffile-without-noreplace-flag /etc/mozpluggerrc
>mozplugger.x86_64: W: file-not-utf8 /usr/share/doc/mozplugger-1.12.1/README

it's fixed now in CVS

Comment 12 Peter Lemenkov 2009-09-25 09:32:56 UTC
I think we may close this ticket, since all issues were addressed.


Note You need to log in before you can comment on or make changes to this bug.